GSFTOPK(1)

NAME
gsftopk - render a ghostscript font in TeX pk format

SYNOPSIS
gsftopk [-q] font dpi

ARGUMENTS

font
    Name of the font to be created.

dpi Desired resolution of the font to be created, in dots per inch. This may be a real number.

DESCRIPTION
gsftopk is a program which calls up the ghostscript program gs(1) to render a given font at a given resolution. It packs the resulting characters into the pk file format and writes them to a file whose name is formed from the font name and the resolution (rounded to the nearest integer).

This program should normally be called by a script, such as xdvimakepk, to create fonts on demand.

gsftopk obtains the character widths from the .tfm file, which must exist in the standard search path. It also must be able to find a file psfonts.map (formatted as in dvips(1)), listing the available fonts.

OPTIONS

-q  Operate quietly; i.e., without writing any messages to the standard output.

ENVIRONMENT VARIABLES

TEXFONTS
    Colon-separated list of directories to search for the .tfm file associated with the font. An extra colon in the list will include the system default path at that point. A double slash will enable recursive subdirectory searching at that point in the path.

DVIPSHEADERS
    Colon-separated list of directories to search for the ghostscript driver file render.ps and for any PostScript font files (.pfa or .pfb files). An extra colon in the list behaves as with TEXFONTS.

TEXCONFIG
    Path to search for the file psfonts.map. Only the first such file will be used.

BUGS
gsftopk sometimes has trouble with fonts with very complicated characters (such as the Seal of the University of California). This is because gsftopk uses the charpath operator to determine the bounding box of each character. If the character is too complicated, then it will exceed the allowable length of a path; this causes gsftopk to terminate with an error message

    Call to gs stopped by signal 10

(The number may vary from system to system; it corresponds to a bus error or a segmentation fault.) This is actually a design limitation in PostScript, exacerbated by a bug in ghostscript, rather than a bug in gsftopk itself. To work around this bug, gsftopk can be instructed to use the bounding box provided with the font (if one exists) instead of finding a bounding box for each character. To do this, include the string

    /usefontbbox true def

in the psfonts.map file; e.g.,

    ucseal "/usefontbbox true def"

This will not affect use of the font by dvips.

SEE ALSO
gs(1), gftopk(1), tex(1), xdvi(1), dvips(1)

AUTHOR
Written by Paul Vojta. This program was inspired by gsrenderfont, which was written by Karl Berry.